Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrFamily Class Reference

Pango font family name C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrFamily:

List of all members.

## Public Member Functions

Constructors

- AttrFamily (const String &font_family)
    Construct a new font family attribute.

## Detailed Description

Pango font family name C++ wrapper class.

AttrFamily wraps the font family name attribute (ATTR_FAMILY).

## Constructor & Destructor Documentation

Xfc::Pango::AttrFamily::AttrFamily | ( | const String & | font_family | ) | `[explicit]`

Construct a new font family attribute.

Parameters:

  | font_family | The family or comma separated list of families.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3